Codebase list phpggc / 9ef4b60
Add a basic autopkgtest Raphaël Hertzog 4 years ago
3 changed file(s) with 26 addition(s) and 0 deletion(s). Raw diff Collapse all Expand all
88 * Improve description
99 * Fix the license short name in the copyright file
1010 * Drop ${shlibs:Depends} as it's only useful for "Architecture: any" packages
11 * Add a basic autopkgtest
1112
1213 -- Raphaël Hertzog <[email protected]> Fri, 24 Jan 2020 16:13:51 +0100
0 #!/bin/sh
1
2 set -e
3
4 exitcode=0
5
6 if ! phpggc -l | grep -q "Laravel/RCE1"; then
7 echo "ERROR: phpggc -l output did not contain the expected output"
8 echo "OUTPUT:"
9 phpggc -l
10 exitcode=1
11 fi
12
13 EXPECTED='O:40:"Illuminate\Broadcasting\PendingBroadcast":2:{s:9:"*events";O:15:"Faker\Generator":1:{s:13:"*formatters";a:1:{s:8:"dispatch";s:6:"system";}}s:8:"*event";s:2:"id";}'
14 OUTPUT=$(phpggc Laravel/RCE1 system id)
15 if [ "$EXPECTED" != "$OUTPUT" ]; then
16 echo "ERROR: 'phpggc Laravel/RCE1 system id' did not produce the expected output"
17 echo "EXPECTED: $EXPECTED"
18 echo "OUTPUT: $OUTPUT"
19 exitcode=1
20 fi
21
22 exit $exitcode
0 Tests: basic-tests
1 Depends: @